key
ksort
Funkcje Tablic
PHP Manual

# krsort

(PHP 4, PHP 5)

krsort — Sortuj tablicę według kluczy w porządku odwrotnym

### Opis

bool krsort ( array `&$tablica` [, int `$flagi` ] )

Sortuje trablicę według klucza w porządku odwrotnym utrzymując skojarzenia kluczy z danymi. Jest to przydatne głównie w przypadku tablic asocjacyjnych.

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu.

Example #1 Przykład użycia krsort()

`<?php
$owoce = array("d"=>"cytryna", "a"=>"pomarańcza", "b"=>"banan", "c"=>"jabłko");
krsort($owoce);
foreach ($owoce as $key => $val) {
echo "$key = $val\n";
}
?>`

Powyższy przykład wyświetli:

    d = cytryna
    c = jabłko
    b = banan
    a = pomarańcza

Możesz zmodyfikować zachowanie sortowania przez użycie opcjonalnego parametru `flagi` . Aby uzyskać szczegóły zobacz sort().

Patrz także: asort(), arsort(), ksort() sort(), natsort() i rsort().

key
ksort
Funkcje Tablic
PHP Manual